import { ACTIONS } from ".";
import { CandidateType } from "../types";

export const updateCandidate = (
  payload: Partial<CandidateType>,
  success?: (candidate: CandidateType) => void
) => ({
  type: ACTIONS.UPDATE_CANDIDATE,
  payload,
  success,
});

export const applyForJob = (payload: string) => ({
  type: ACTIONS.APPLY_FOR_JOB,
  payload,
});
